Package org.eclipse.emf.cdo.server.mongodb

# Interface IMongoDBStore

All Superinterfaces:
  `IStore`

public interface IMongoDBStore extends IStore
The main entry point to the API of CDO's MongoDB back-end integration.

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.IStore

`IStore.CanHandleClientAssignedIDs, IStore.ChangeFormat, IStore.RevisionParallelism, IStore.RevisionTemporality`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getDB()`
The return value can be cast to `DB`.

### Methods inherited from interface org.eclipse.emf.cdo.server.IStore

`createObjectID, getCreationTime, getIndicatingCommitDistributor, getLastBranchID, getLastCommitTime, getLastLocalBranchID, getLastNonLocalCommitTime, getObjectIDTypes, getPersistentProperties, getPersistentProperties, getReader, getRepository, getRevisionParallelism, getRevisionTemporality, getSupportedChangeFormats, getSupportedRevisionParallelisms, getSupportedRevisionTemporalities, getType, getWriter, isFirstStart, removePersistentProperties, setPersistentProperties`

## Method Details

### getDB

Object getDB()
The return value can be cast to `DB`.